Subject: Re: [PWE3] BFD for MPLS PWs

From: "Thomas D. Nadeau" <[email-masked]>
Date: Tue, 15 Aug 2006 16:07:31 -0400

On Aug 15, 2006, at 3:35 PM, Busschbach, Peter B (Peter) wrote:

>
> Tom,
>
> I have a comment on the following part of your proposed text:
>
>>     The defined values for CV Types are:
>>
>>         0x00  None.
>>         0x01  ICMP Ping.
>>         0x02  LSP Ping.
>>         0x04  BFD for PW Fault Detection only.
>>         0x08  BFD for PW Fault Detection and AC/PW Fault
>>               Status Signaling.
>>     It should be noted that two different CV Types have been defined
>>     when BFD is used. In the case of type 0x08, the AC and PW status
>>     SHOULD be conveyed via BFD status codes as specified in [OAM- 
>> MAP].
>>     However, this type SHOULD NOT be used when a control protocl such
>>     as LDP is available that can signal the AC/PW status to the  
>> remote
>>     endpoint of the PW due to complications that can arise from
>>     synchronization issues between the control protocol's status
>>     signaling messags and the BFD messages containing fault status
>>     information.
>>
>
> I don't think it is correct to mandate that 0x08 should not be used  
> if LDP is used to setup PWs. An operator might prefer to use BFD  
> for both PW and AC fault notification, even if LDP is being used,  
> because BFD is transported in the data plane whereas LDP is in the  
> control plane. Since the control  plane is critical for correct  
> operation of the network, it makes sense to avoid overloading it  
> with data-plane-related  failure notifications.

	I agree, and am working on an updated version of the text
I posted based on your and the previous comments.  Basically
I switched to adding 2 new CV Types, as was originally stated
instead of a new CC type. I also corrected the Control Channel ID
in the CW, which was incorrect. I should be done with the new text
by tomorrow morning and will post it.

> Furthermore, I don't understand which "complications" you refer to.  
> Using BFD for both AC and PW fault status information is more  
> straightforward than using BFD for some faults and LDP for others.  
> The only complication that I see is that a developer must read  
> section 5.3.4 of OAM-MAP. If that text is ambiguous, it should be  
> updated, but otherwise I don't see what is complicated about it.

	The consensus I think we reached on the thread was to
use an OR function for detecting the down status either from
BFD/VCCV or LDP, but to use an AND function when detecting
the transition to the up status from both of these (if they
are in use). However, the de-facto status must always rely on
LDP as RFC4447 states that one MUST signal status using LDP for
PWs using the LDP status codes. Of course, this is if you are
using LDP as the signaling protocol instead of say setting up the
PWs statically.  I am adding this text to the draft, but after I
get the text on the CC/CV types straight.

	--Tom

> Peter

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3

---

From: "Busschbach, Peter B (Peter)" <[email-masked]>
Date: Tue, 15 Aug 2006 15:35:25 -0400

Tom,

I have a comment on the following part of your proposed text:

>     SHOULD be conveyed via BFD status codes as specified in [OAM-MAP].
>     as LDP is available that can signal the AC/PW status to the remote

I don't think it is correct to mandate that 0x08 should not be used if LDP is used to setup PWs. An operator might prefer to use BFD for both PW and AC fault notification, even if LDP is being used, because BFD is transported in the data plane whereas LDP is in the control plane. Since the control  plane is critical for correct operation of the network, it makes sense to avoid overloading it with data-plane-related  failure notifications.

Furthermore, I don't understand which "complications" you refer to. Using BFD for both AC and PW fault status information is more straightforward than using BFD for some faults and LDP for others. The only complication that I see is that a developer must read section 5.3.4 of OAM-MAP. If that text is ambiguous, it should be updated, but otherwise I don't see what is complicated about it. 

Peter

---

From: "David Allan" <[email-masked]>
Date: Tue, 15 Aug 2006 21:44:34 -0400

I agree with Peter's assessment...

Cheers
Dave 

-----Original Message-----
From: Busschbach, Peter B (Peter) [mailto:[email-masked]] 
Sent: Tuesday, August 15, 2006 3:35 PM
To: 'Thomas D. Nadeau'; pwe3 WG ((((((((E-mail))))))))
Cc: Swallow George; Pignataro Carlos; Morrow Monique; Danny McPherson;
Agarwal Rahul; Stewart (stbryant) Bryant
Subject: RE: [PWE3] BFD for MPLS PWs

Tom,

>     signaling messags and the BFD messages containing fault status

I don't think it is correct to mandate that 0x08 should not be used if
LDP is used to setup PWs. An operator might prefer to use BFD for both
PW and AC fault notification, even if LDP is being used, because BFD is
transported in the data plane whereas LDP is in the control plane. Since
the control  plane is critical for correct operation of the network, it
makes sense to avoid overloading it with data-plane-related  failure
notifications.

Furthermore, I don't understand which "complications" you refer to.
Using BFD for both AC and PW fault status information is more
straightforward than using BFD for some faults and LDP for others. The
only complication that I see is that a developer must read section 5.3.4
of OAM-MAP. If that text is ambiguous, it should be updated, but
otherwise I don't see what is complicated about it. 

Peter

---

From: "Thomas D. Nadeau" <[email-masked]>
Date: Wed, 16 Aug 2006 07:58:08 -0400

> with data-plane-related  failure notifications.

	That is true, and is why the text above says "SHOULD NOT"
instead of "MUST NOT".  If the WG wants me to use lighter language
I will.

> updated, but otherwise I don't see what is complicated about it.

	It does make the state machine more complex, but not
to the point where it cannot work. This is why we have the
AND/OR processing text that we agreed to.  I am fixing this
now.

	--Tom

---

From: "Florin Balus" <[email-masked]>
Date: Wed, 16 Aug 2006 10:02:51 -0400

[snipped]
>>
>> I don't think it is correct to mandate that 0x08 should not 
>be used if LDP is used to setup PWs. An operator might prefer to use 
>BFD for both 
>> PW and AC fault notification, even if LDP is being used, because BFD 
>> is transported in the data plane whereas LDP is in the 
>control plane. 
>> Since the control  plane is critical for correct operation of the 
>> network, it makes sense to avoid overloading it with 
>> data-plane-related  failure notifications.
>
>instead of "MUST NOT".  If the WG wants me to use lighter 
>language I will.

I support recommending the use of data plane (BFD) instead of control 
plane (LDP) for PW and AC Fault notification for the reasons highlighted

by Peter above. 

Suggest removing altogether the sentence -

"However, this type SHOULD NOT be used when a control protocl such
as LDP is available that can signal the AC/PW status to the 
remote endpoint of the PW due to complications that can arise from
synchronization issues between the control protocol's status
signaling messags and the BFD messages containing fault status
information."

And potentially adding the recommendation from Peter's text above:

"An operator might prefer to use BFD for both PW and AC fault
notification, 
even if LDP is being used, because BFD is transported in the data plane 
whereas LDP is in the control plane. 

Since the control  plane is critical for correct operation of the 
network, it makes sense to avoid overloading it with 
data-plane-related  failure notifications."

Florin
>> The only complication that I see is that a developer must 
>read section 
>> 5.3.4 of OAM-MAP. If that text is ambiguous, it should be 
>updated, but 
>	It does make the state machine more complex, but not to 
>the point where it cannot work. This is why we have the AND/OR 
>processing text that we agreed to.  I am fixing this now.
>
>	--Tom
>
>
>>
>> Peter
>>